function [funA,funB,N,dimA,dimB]=getVecs(A,B)
  isA3D=fc_linalg3D.is3Darray(A);
  isB3D=fc_linalg3D.is3Darray(B);
  assert( isA3D || isB3D , 'One of the parameters must be an 3D-array')
  [dimA,dimB]=fc_linalg3D.getDimensions(A,B);
  if isA3D 
    if isB3D, assert(dimA(1)==dimB(1));end
    N=dimA(1);
  else 
    N=dimB(1);
  end
  funA=fc_linalg3D.getVec(A,N);
  funB=fc_linalg3D.getVec(B,N);
  
%    if isA3D
%      [N,m,n]=fc_linalg3D.dim3D(A);
%      funA=@(X,i,j) X(:,i,j);
%      funB=fc_linalg3D.getVec(B,N);
%    else 
%      [N,m,n]=fc_linalg3D.dim3D(B);
%      funB=@(X,i,j) X(:,i,j);
%      funA=fc_linalg3D.getVec(A,N);
%    end
%    dim=[N,m,n];
end
