function S=gitinfo()
% FUNCTION fc_linalg3D.gitinfo(): returns some informations on the package/toolbox.
%
%    <COPYRIGHT>
%
  rep=fc_linalg3D.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='0.0.1';
    commit='5e69f9f54a9065fc92976b32f6cdef25d969e629';
    strdate='2018-04-26';
    strtime='14:00:55';
    S=struct('name','fc-linalg3D','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
